//
//  Cell.m
//  MatrixCells
//

#import "Cell.h"


@implementation Cell

@synthesize color;

+ (void)initialize
{
	srandom(time(NULL));
}

- (id)init
{
	self = [super init];
	
	float r = (random()%255)/255.0;
	float g = (random()%255)/255.0;
	float b = (random()%255)/255.0;
	self.color = [NSColor colorWithCalibratedRed:r green:g blue:b alpha:1.0];
	
	return self;
}

- (void)dealloc
{
	self.color = nil;
	[super dealloc];
}

- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView
{
	if ([self isHighlighted] || [self state] == NSOnState)
	{
		[[NSColor selectedControlColor] set];
		NSRectFill(cellFrame);
	}
	
	[self.color set];
	[[NSBezierPath bezierPathWithOvalInRect:NSInsetRect(cellFrame, 10.0, 10.0)] fill];
}

@end
