//
//  Controller.m
//  MatrixCells
//

#import "Controller.h"
#import "Cell.h"
#import "Matrix.h"


@implementation Controller

- (void)awakeFromNib
{
	matrix = [[Matrix alloc] initWithFrame:[placeholderView frame]
									  mode:NSRadioModeMatrix
								 cellClass:[Cell class]
							  numberOfRows:3
						   numberOfColumns:3];
	[matrix setIntercellSpacing:NSZeroSize];
	[matrix setAutosizesCells:YES];
	[matrix setDrawsBackground:YES];
	[matrix setBackgroundColor:[NSColor whiteColor]];
	[matrix setTarget:self];
	[matrix setAction:@selector(matrixAction:)];
	[matrix setAutoresizingMask:[placeholderView autoresizingMask]];
	[[placeholderView superview] replaceSubview:placeholderView with:matrix];
	
	[matrix selectCellAtRow:0 column:0];
	[self matrixAction:nil];
}

- (void)matrixAction:(id)sender
{
	[colorWell setColor:[[matrix selectedCell] color]];
}

- (void)dealloc
{
	[matrix release];
	[super dealloc];
}

@end
